Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.analysis.integration.gauss
Class GaussIntegratorFactory

    java.lang.Object
      org.apache.commons.math3.analysis.integration.gauss.GaussIntegratorFactory

    public class GaussIntegratorFactory

extends Object

Class that provides different ways to compute the nodes and weights to be used by the `Gaussian integration rule`.

Since:
  3.1
Version:
  $Id: GaussIntegratorFactory.java 1364420 2012-07-22 20:01:12Z tn $

Constructor Summary
`GaussIntegratorFactory()`

Method Summary
`GaussIntegrator` | `legendre(int numberOfPoints)` Creates an integrator of the given order, and whose call to the `integrate` method will perform an integration on the natural interval `[-1 , 1]`.
`GaussIntegrator` | `legendre(int numberOfPoints, double lowerBound, double upperBound)` Creates an integrator of the given order, and whose call to the `integrate` method will perform an integration on the given interval.
`GaussIntegrator` | `legendreHighPrecision(int numberOfPoints)` Creates an integrator of the given order, and whose call to the `integrate` method will perform an integration on the natural interval `[-1 , 1]`.
`GaussIntegrator` | `legendreHighPrecision(int numberOfPoints, double lowerBound, double upperBound)` Creates an integrator of the given order, and whose call to the `integrate` method will perform an integration on the given interval.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GaussIntegratorFactory

    public GaussIntegratorFactory()

Method Detail

### legendre

    public GaussIntegrator legendre(int numberOfPoints)

  Creates an integrator of the given order, and whose call to the `integrate` method will perform an integration on the natural interval `[-1 , 1]`.

  Parameters:
    `numberOfPoints` - Order of the integration rule.
  Returns:
    a Gauss-Legendre integrator.

### legendre

    public GaussIntegrator legendre(int numberOfPoints,
                                    double lowerBound,
                                    double upperBound)

  Creates an integrator of the given order, and whose call to the `integrate` method will perform an integration on the given interval.

  Parameters:
    `numberOfPoints` - Order of the integration rule.
    `lowerBound` - Lower bound of the integration interval.
    `upperBound` - Upper bound of the integration interval.
  Returns:
    a Gauss-Legendre integrator.

### legendreHighPrecision

    public GaussIntegrator legendreHighPrecision(int numberOfPoints)

  Creates an integrator of the given order, and whose call to the `integrate` method will perform an integration on the natural interval `[-1 , 1]`.

  Parameters:
    `numberOfPoints` - Order of the integration rule.
  Returns:
    a Gauss-Legendre integrator.

### legendreHighPrecision

    public GaussIntegrator legendreHighPrecision(int numberOfPoints,
                                                 double lowerBound,
                                                 double upperBound)

  Creates an integrator of the given order, and whose call to the `integrate` method will perform an integration on the given interval.

  Parameters:
    `numberOfPoints` - Order of the integration rule.
    `lowerBound` - Lower bound of the integration interval.
    `upperBound` - Upper bound of the integration interval.
  Returns:
    a Gauss-Legendre integrator.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.